<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
	

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101){

echo'<img src="../images/img/partners.gif" alt=""> <b>Настройки системы</b><br><br>';
	
if(!isset($action)){
if ($dostup==101 && $log==$config_nikname){	
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setone&amp;'.SID.'">Основные настройки</a><br>';}

echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=settwo&amp;'.SID.'">Вывод информации</a><br>';	
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setthree&amp;'.SID.'">Гостевая/Чат/Новости</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setfour&amp;'.SID.'">Форум/Галерея/Объявления</a><br>';	
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setfive&amp;'.SID.'">Загрузки/Голосования/Приват</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setsix&amp;'.SID.'">Библиотека/Реклама</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setseven&amp;'.SID.'">Постраничная навигация</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setseven2&amp;'.SID.'">Постраничная навигация 2</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=seteight&amp;'.SID.'">Прочее/Другое</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setnine&amp;'.SID.'">Кеширование</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=setten&amp;'.SID.'">Безопасность</a><br>';
echo'<img src="../images/img/forums.gif" alt=""> <a href="setting.php?action=seteleven&amp;'.SID.'">Стоимость и цены</a><br>';
}

if ($dostup==101 && $log==$config_nikname){	
//---------------------- Форма основных настроек ------------------------------//
//1,2,3,8,9,10,11,12,13,14,15,16,29,43,48,50,52,57,61,62,69,71,75,113,118
if($action=="setone"){	
echo '<b>Основные настройки</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editone&amp;'.SID.'">';

#----------------------------------------#
echo 'Wap-тема по умолчанию:<br>';
echo '<select name="conf_set2">';
echo '<option value="'.$con_data[2].'">'.$con_data[2].'</option>';

$dir = opendir ("../themes"); 
while ($wapthemes = readdir ($dir)) {

if (is_dir(BASEDIR."themes/$wapthemes")) {
if($wapthemes=="." || $wapthemes==".." || $wapthemes==$con_data[2]) continue;
echo '<option value="'.$wapthemes.'">'.$wapthemes.'</option>';
}}
echo '</select><br>';
closedir ($dir);

#----------------------------------------#
echo 'Web-тема по умолчанию:<br>';
echo '<select name="conf_set113">';

if(!empty($con_data[113])){
echo '<option value="'.$con_data[113].'">'.$con_data[113].'</option>';
echo '<option value="0">Выключить</option>';
}else{
echo '<option value="0">Выключить</option>';
}

$dir = opendir ("../themes"); 
while ($webthemes = readdir ($dir)) {

if (is_dir(BASEDIR."themes/$webthemes")) {
if($webthemes=="." || $webthemes==".." || $webthemes==$con_data[113]) continue;
echo '<option value="'.$webthemes.'">'.$webthemes.'</option>';
}}

echo '</select><br>';
closedir ($dir);
#----------------------------------------#

echo 'Логин администратора:<br><input name="conf_set8" maxlength="20" value="'.$con_data[8].'" /><br>';
echo 'E-mail администратора:<br><input name="conf_set9" maxlength="50" value="'.$con_data[9].'" /><br>';
echo 'Временной сдвиг:<br><input name="conf_set10" maxlength="3" value="'.$con_data[10].'" /><br>';
echo 'Заголовок всех страниц:<br><input name="conf_set11" maxlength="100" value="'.$con_data[11].'" /><br>';
echo 'Подпись вверху:<br><input name="conf_set12" maxlength="100" value="'.$con_data[12].'" /><br>';
echo 'Подпись внизу:<br><input name="conf_set13" maxlength="100" value="'.$con_data[13].'" /><br>';
echo 'Главная страница сайта:<br><input name="conf_set14" maxlength="50" value="'.$con_data[14].'" /><br>';
echo 'Адрес логотипа:<br><input name="conf_set15" maxlength="100" value="'.$con_data[15].'" /><br>';
echo 'Расширение страниц движка:<br><input name="conf_set16" maxlength="6" value="'.$con_data[16].'" /><br>';
echo 'Время антифлуда (сек):<br><input name="conf_set29" maxlength="3" value="'.$con_data[29].'" /><br>';
echo 'Название корневой на хосте:<br><input name="conf_set43" maxlength="30" value="'.$con_data[43].'" /><br>';
echo 'Папка с админкой:<br><input name="conf_set48" maxlength="30" value="'.$con_data[48].'" /><br>';
echo 'Лимит запросов с IP:<br><input name="conf_set57" maxlength="3" value="'.$con_data[57].'" /><br>';
echo 'Ключ для cookies:<br><input name="conf_set1" maxlength="25" value="'.$con_data[1].'" /><br>';
echo 'Время простоя сессии (мин):<br><input name="conf_set75" maxlength="4" value="'.round($con_data[75]/60).'" /><br>';

echo 'Время карантина:<br><select name="conf_set3">';

$karantin=array(0=>"Выключить", 21600=>"6 часов", 43200=>"12 часов", 86400=>"24 часа", 129600=>"36 часов", 172800=>"48 часов");

echo '<option value="'.$con_data[3].'">'.$karantin[$con_data[3]].'</option>';

foreach($karantin as $k=>$v){
if($k!=$con_data[3]){
echo '<option value="'.$k.'">'.$v.'</option>';
}}
echo '</select><br>';



echo 'Разрешить вход по кукам: <br>Да';
if($con_data[50]=="1"){
echo '<input name="conf_set50" type="radio" value="1" checked>';} else {echo '<input name="conf_set50" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[50]=="0"){
echo '<input name="conf_set50" type="radio" value="0" checked>';} else {echo '<input name="conf_set50" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Разрешить кеширование: <br>Да';
if($con_data[52]=="1"){
echo '<input name="conf_set52" type="radio" value="1" checked>';} else {echo '<input name="conf_set52" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[52]=="0"){
echo '<input name="conf_set52" type="radio" value="0" checked>';} else {echo '<input name="conf_set52" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Регистрация открыта: <br>Да';
if($con_data[61]=="1"){
echo '<input name="conf_set61" type="radio" value="1" checked>';} else {echo '<input name="conf_set61" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[61]=="0"){
echo '<input name="conf_set61" type="radio" value="0" checked>';} else {echo '<input name="conf_set61" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить подтверждение регистрации: <br>Да';
if($con_data[62]=="1"){
echo '<input name="conf_set62" type="radio" value="1" checked>';} else {echo '<input name="conf_set62" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[62]=="0"){
echo '<input name="conf_set62" type="radio" value="0" checked>';} else {echo '<input name="conf_set62" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить сжатие страниц GZIP: <br>Да';
if($con_data[69]=="1"){
echo '<input name="conf_set69" type="radio" value="1" checked>';} else {echo '<input name="conf_set69" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[69]=="0"){
echo '<input name="conf_set69" type="radio" value="0" checked>';} else {echo '<input name="conf_set69" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить возможность транслита: <br>Да';
if($con_data[71]=="1"){
echo '<input name="conf_set71" type="radio" value="1" checked>';} else {echo '<input name="conf_set71" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[71]=="0"){
echo '<input name="conf_set71" type="radio" value="0" checked>';} else {echo '<input name="conf_set71" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Закрыть сайт по техническим причинам: <br>Да';
if($con_data[118]=="1"){
echo '<input name="conf_set118" type="radio" value="1" checked>';} else {echo '<input name="conf_set118" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[118]=="0"){
echo '<input name="conf_set118" type="radio" value="0" checked>';} else {echo '<input name="conf_set118" type="radio" value="0" />';}
echo 'Нет<br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение основных настроек ------------------------------//
if($action=="editone"){
if($conf_set1!="" && $conf_set2!="" && $conf_set3!="" && $conf_set8!="" && $conf_set9!=""  && $conf_set10!="" && $conf_set11!="" && $conf_set12!="" && $conf_set13!="" && $conf_set14!="" && $conf_set15!=""  && $conf_set16!=""&& $conf_set29!=""  && $conf_set43!="" && $conf_set48!="" && $conf_set50!="" && $conf_set52!="" && $conf_set57!="" && $conf_set61!="" && $conf_set62!="" && $conf_set69!="" && $conf_set71!="" && $conf_set75!="" && $conf_set118!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[1]=check($conf_set1);
$udata[2]=check($conf_set2);
$udata[3]=check($conf_set3);
$udata[8]=check($conf_set8);
$udata[9]=htmlspecialchars(stripslashes(trim($conf_set9)));
$udata[10]=check($conf_set10);
$udata[11]=check($conf_set11);
$udata[12]=check($conf_set12);
$udata[13]=check($conf_set13);
$udata[13]=str_replace('©','&#169;',$udata[13]);
$udata[13]=str_replace('&amp;#169;','&#169;',$udata[13]);
$udata[14]=check($conf_set14);
$udata[15]=check($conf_set15);
$udata[16]=check($conf_set16);
$udata[29]=(int)$conf_set29;
$udata[43]=check($conf_set43);
$udata[48]=check($conf_set48);
$udata[50]=(int)$conf_set50;
$udata[52]=(int)$conf_set52;
$udata[57]=(int)$conf_set57;
$udata[61]=(int)$conf_set61;
$udata[62]=(int)$conf_set62;
$udata[69]=(int)$conf_set69;
$udata[71]=(int)$conf_set71;
$udata[75]=round($conf_set75*60);
$udata[113]=check($conf_set113);
$udata[118]=(int)$conf_set118;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setone&isset=mp_nosset&".SID);}
}
}


//---------------------- Форма вывода информации ------------------------------//
//0,4,5,6,7,47,74,81,85,86,87
if($action=="settwo"){	
echo '<b>Вывод информации</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=edittwo&amp;'.SID.'">';

echo 'Показывать приветствие: <br>Да';
if($con_data[0]=="1"){
echo '<input name="conf_set0" type="radio" value="1" checked>';} else {echo '<input name="conf_set0" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[0]=="0"){
echo '<input name="conf_set0" type="radio" value="0" checked>';} else {echo '<input name="conf_set0" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Показывать часы: <br>Да';
if($con_data[4]=="1"){
echo '<input name="conf_set4" type="radio" value="1" checked>';} else {echo '<input name="conf_set4" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[4]=="0"){
echo '<input name="conf_set4" type="radio" value="0" checked>';} else {echo '<input name="conf_set4" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Показывать время генерации: <br>Да';
if($con_data[5]=="1"){
echo '<input name="conf_set5" type="radio" value="1" checked>';} else {echo '<input name="conf_set5" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[5]=="0"){
echo '<input name="conf_set5" type="radio" value="0" checked>';} else {echo '<input name="conf_set5" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить счетчик: <br>Да';
if($con_data[6]=="1"){
echo '<input name="conf_set6" type="radio" value="1" checked>';} else {echo '<input name="conf_set6" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[6]=="0"){
echo '<input name="conf_set6" type="radio" value="0" checked>';} else {echo '<input name="conf_set6" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Показывать онлайн: <br>Да';
if($con_data[7]=="1"){
echo '<input name="conf_set7" type="radio" value="1" checked>';} else {echo '<input name="conf_set7" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[7]=="0"){
echo '<input name="conf_set7" type="radio" value="0" checked>';} else {echo '<input name="conf_set7" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Показывать цитаты: <br>Да';
if($con_data[47]=="1"){
echo '<input name="conf_set47" type="radio" value="1" checked>';} else {echo '<input name="conf_set47" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[47]=="0"){
echo '<input name="conf_set47" type="radio" value="0" checked>';} else {echo '<input name="conf_set47" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить RSS-иконку: <br>Да';
if($con_data[81]=="1"){
echo '<input name="conf_set81" type="radio" value="1" checked>';} else {echo '<input name="conf_set81" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[81]=="0"){
echo '<input name="conf_set81" type="radio" value="0" checked>';} else {echo '<input name="conf_set81" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Вид счетчика:<br><select name="conf_set74">';

$incounters=array(1=>"Хосты / Хосты всего", 2=>"Хиты / Хиты всего", 3=>"Хиты / Хосты", 4=>"Хиты всего / Хосты всего", 5=>"Графический");

echo '<option value="'.$con_data[74].'">'.$incounters[$con_data[74]].'</option>';

foreach($incounters as $k=>$v){
if($k!=$con_data[74]){
echo '<option value="'.$k.'">'.$v.'</option>';
}}
echo '</select><br>';


echo 'Включить календарь: <br>Да';
if($con_data[85]=="1"){
echo '<input name="conf_set85" type="radio" value="1" checked>';} else {echo '<input name="conf_set85" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[85]=="0"){
echo '<input name="conf_set85" type="radio" value="0" checked>';} else {echo '<input name="conf_set85" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Бегущая строка с юзерами: <br>Да';
if($con_data[86]=="1"){
echo '<input name="conf_set86" type="radio" value="1" checked>';} else {echo '<input name="conf_set86" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[86]=="0"){
echo '<input name="conf_set86" type="radio" value="0" checked>';} else {echo '<input name="conf_set86" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Выпадающий список скинов/тем:<br><select name="conf_set87">';

$incounters=array(0=>"Выключить", 1=>"Обычный список", 2=>"Список без кнопки");

echo '<option value="'.$con_data[87].'">'.$incounters[$con_data[87]].'</option>';

foreach($incounters as $k=>$v){
if($k!=$con_data[87]){
echo '<option value="'.$k.'">'.$v.'</option>';
}}
echo '</select><br>';



echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';	
	
}

//---------------------- Изменение вывода информации ------------------------------//
if($action=="edittwo"){
if($conf_set0!="" && $conf_set4!="" && $conf_set5!="" && $conf_set6!="" && $conf_set7!="" && $conf_set47!=""  && $conf_set74!="" && $conf_set81!="" && $conf_set85!="" && $conf_set86!="" && $conf_set87!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[0]=(int)$conf_set0;
$udata[4]=(int)$conf_set4;
$udata[5]=(int)$conf_set5;
$udata[6]=(int)$conf_set6;
$udata[7]=(int)$conf_set7;
$udata[47]=(int)$conf_set47;
$udata[74]=(int)$conf_set74;
$udata[81]=(int)$conf_set81;
$udata[85]=(int)$conf_set85;
$udata[86]=(int)$conf_set86;
$udata[87]=(int)$conf_set87;


for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=settwo&isset=mp_nosset&".SID);}
}



//---------------------- Форма изменения гостевой, новостей и чата ------------------------------//
//17,18,19,20,21,22,23,24,25,34,56,63,64,65
if($action=="setthree"){	
echo '<b>Настройки гостевой, новостей и чата</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editthree&amp;'.SID.'">';

echo 'Новостей на страницу:<br><input name="conf_set17" maxlength="2" value="'.$con_data[17].'" /><br>';
echo 'Вывод новостей на главную:<br><input name="conf_set18" maxlength="2" value="'.$con_data[18].'" /><br>';
echo 'Сообщений в гостевой на стр.:<br><input name="conf_set19" maxlength="2" value="'.$con_data[19].'" /><br>';

echo 'Разрешать гостям писать в гостевой: <br>Да';
if($con_data[20]=="1"){
echo '<input name="conf_set20" type="radio" value="1" checked>';} else {echo '<input name="conf_set20" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[20]=="0"){
echo '<input name="conf_set20" type="radio" value="0" checked>';} else {echo '<input name="conf_set20" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Включить шутника в чате: <br>Да';
if($con_data[63]=="1"){
echo '<input name="conf_set63" type="radio" value="1" checked>';} else {echo '<input name="conf_set63" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[63]=="0"){
echo '<input name="conf_set63" type="radio" value="0" checked>';} else {echo '<input name="conf_set63" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить бота в чате: <br>Да';
if($con_data[64]=="1"){
echo '<input name="conf_set64" type="radio" value="1" checked>';} else {echo '<input name="conf_set64" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[64]=="0"){
echo '<input name="conf_set64" type="radio" value="0" checked>';} else {echo '<input name="conf_set64" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить умника в чате: <br>Да';
if($con_data[65]=="1"){
echo '<input name="conf_set65" type="radio" value="1" checked>';} else {echo '<input name="conf_set65" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[65]=="0"){
echo '<input name="conf_set65" type="radio" value="0" checked>';} else {echo '<input name="conf_set65" type="radio" value="0" />';}
echo 'Нет<br>';


echo 'Неавторизованный пользователь:<br><input name="conf_set21" maxlength="20" value="'.$con_data[21].'" /><br>';
echo 'Кол-во постов в  чате сохраняется:<br><input name="conf_set22" maxlength="4" value="'.$con_data[22].'" /><br>';
echo 'Cообщений в чате на стр.:<br><input name="conf_set23" maxlength="2" value="'.$con_data[23].'" /><br>';
echo 'Кол-во новостей сохраняется:<br><input name="conf_set24" maxlength="4" value="'.$con_data[24].'" /><br>';
echo 'Кол-во  постов в гостевой сохраняется:<br><input name="conf_set25" maxlength="4" value="'.$con_data[25].'" /><br>';
echo 'Время автообновления чата (сек):<br><input name="conf_set34" maxlength="3" value="'.$con_data[34].'" /><br>';
echo 'Кол-во писем рассылки в пакете:<br><input name="conf_set56" maxlength="3" value="'.$con_data[56].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в гостевой, новостей и чата ------------------------------//
if($action=="editthree"){
if($conf_set17!="" && $conf_set18!="" && $conf_set19!="" && $conf_set20!="" && $conf_set21!="" && $conf_set22!="" && $conf_set23!="" && $conf_set24!="" && $conf_set25!="" && $conf_set34!="" && $conf_set56!="" && $conf_set63!="" && $conf_set64!="" && $conf_set65!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[17]=(int)$conf_set17;
$udata[18]=(int)$conf_set18;
$udata[19]=(int)$conf_set19;
$udata[20]=(int)$conf_set20;
$udata[21]=check($conf_set21);
$udata[22]=(int)$conf_set22;
$udata[23]=(int)$conf_set23;
$udata[24]=(int)$conf_set24;
$udata[25]=(int)$conf_set25;
$udata[34]=(int)$conf_set34;
$udata[56]=(int)$conf_set56;
$udata[63]=(int)$conf_set63;
$udata[64]=(int)$conf_set64;
$udata[65]=(int)$conf_set65;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setthree&isset=mp_nosset&".SID);}
}


//---------------------- Форма изменения форума, галереи и объявлений ------------------------------//
//26,27,28,35,36,37,38,39,109,110,111
if($action=="setfour"){	
echo '<b>Настройки форума, галереи и объявлений</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editfour&amp;'.SID.'">';
echo 'Сообщений в форуме на стр.:<br><input name="conf_set26" maxlength="2" value="'.$con_data[26].'" /><br>';
echo 'Тем в форуме на стр.:<br><input name="conf_set27" maxlength="2" value="'.$con_data[27].'" /><br>';
echo 'Кол-во тем в форуме сохраняется:<br><input name="conf_set28" maxlength="4" value="'.$con_data[28].'" /><br>';
echo 'Объявлений на стр.:<br><input name="conf_set35" maxlength="2" value="'.$con_data[35].'" /><br>';
echo 'Кол-во дней показа объявлений:<br><input name="conf_set36" maxlength="3" value="'.$con_data[36].'" /><br>';
echo 'Kол-во фото на стр.:<br><input name="conf_set37" maxlength="2" value="'.$con_data[37].'" /><br>';
echo 'Максимальный вес фото (kb):<br><input name="conf_set38" maxlength="6" value="'.round($con_data[38]/1024).'" /><br>';
echo 'Максимальные размеры (px):<br><input name="conf_set39" maxlength="3" value="'.$con_data[39].'" /><br>';
echo 'Максимальный размер превью (px):<br><input name="conf_set109" maxlength="3" value="'.$con_data[109].'" /><br>';
echo 'Комментариев на страницу в галерее:<br><input name="conf_set110" maxlength="3" value="'.$con_data[110].'" /><br>';
echo 'Комментариев сохраняется в галерее:<br><input name="conf_set111" maxlength="3" value="'.$con_data[111].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в форуме, галерее и объявлениях ------------------------------//
if($action=="editfour"){
if($conf_set26!="" && $conf_set27!="" && $conf_set28!="" && $conf_set35!="" && $conf_set36!="" && $conf_set37!="" && $conf_set38!="" && $conf_set39!="" && $conf_set109!="" && $conf_set110!="" && $conf_set111!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[26]=(int)$conf_set26;
$udata[27]=(int)$conf_set27;
$udata[28]=(int)$conf_set28;
$udata[35]=(int)$conf_set35;
$udata[36]=(int)$conf_set36;
$udata[37]=(int)$conf_set37;
$udata[38]=round($conf_set38*1024);
$udata[39]=(int)$conf_set39;
$udata[109]=(int)$conf_set109;
$udata[110]=(int)$conf_set110;
$udata[111]=(int)$conf_set111;


for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setfour&isset=mp_nosset&".SID);}
}



//---------------------- Форма изменения загрузок, голосований и привата ------------------------------//
//30,32,33,40,41,42,46,66,98
if($action=="setfive"){	
echo '<b>Настройки загрузок, голосований и привата</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editfive&amp;'.SID.'">';	

echo 'Размер ящика для привата (kb):<br><input name="conf_set30" maxlength="2" value="'.$con_data[30].'" /><br>';	
echo 'Расширение для файлов привата:<br><input name="conf_set32" maxlength="10" value="'.$con_data[32].'" /><br>';
echo 'Писем в привате на стр.:<br><input name="conf_set33" maxlength="2" value="'.$con_data[33].'" /><br>';		
echo 'Комментарий в загрузках на стр.:<br><input name="conf_set40" maxlength="2" value="'.$con_data[40].'" /><br>';	
echo 'Кол-во комментарий сохраняется:<br><input name="conf_set41" maxlength="3" value="'.$con_data[41].'" /><br>';
echo 'Файлов в загрузках на стр.:<br><input name="conf_set42" maxlength="2" value="'.$con_data[42].'" /><br>';
echo 'Кол-во голосований на стр.:<br><input name="conf_set46" maxlength="2" value="'.$con_data[46].'" /><br>';
echo 'Файлов в просмотре архивов на стр.:<br><input name="conf_set66" maxlength="2" value="'.$con_data[66].'" /><br>';

echo 'Уведомлять об изменении авторитета:<br>Да';
if($con_data[98]=="1"){
echo '<input name="conf_set98" type="radio" value="1" checked>';} else {echo '<input name="conf_set98" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[98]=="0"){
echo '<input name="conf_set98" type="radio" value="0" checked>';} else {echo '<input name="conf_set98" type="radio" value="0" />';}
echo 'Нет<br>';


echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в загрузках, голосованиях и привате ------------------------------//
if($action=="editfive"){
if($conf_set30!="" && $conf_set32!="" && $conf_set33!="" && $conf_set40!="" && $conf_set41!="" && $conf_set42!="" && $conf_set46!="" && $conf_set66!="" && $conf_set98!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[30]=(int)$conf_set30;
$udata[32]=check($conf_set32);
$udata[33]=(int)$conf_set33;
$udata[40]=(int)$conf_set40;
$udata[41]=(int)$conf_set41;
$udata[42]=(int)$conf_set42;
$udata[46]=(int)$conf_set46;
$udata[66]=(int)$conf_set66;
$udata[98]=(int)$conf_set98;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setfive&isset=mp_nosset&".SID);}
}




//---------------------- Форма изменения библиотеки/рекламы ------------------------------//
//67,68,72,73,101,102
if($action=="setsix"){	
echo '<b>Настройки библиотеки</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editsix&amp;'.SID.'">';	

echo 'Статей в библиотеке на стр.:<br><input name="conf_set67" maxlength="2" value="'.$con_data[67].'" /><br>';	
echo 'Строк в статье на стр.:<br><input name="conf_set68" maxlength="3" value="'.$con_data[68].'" /><br>';

echo 'Включить рекламу вверху: <br>Да';
if($con_data[72]=="1"){
echo '<input name="conf_set72" type="radio" value="1" checked>';} else {echo '<input name="conf_set72" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[72]=="0"){
echo '<input name="conf_set72" type="radio" value="0" checked>';} else {echo '<input name="conf_set72" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Включить рекламу внизу: <br>Да';
if($con_data[73]=="1"){
echo '<input name="conf_set73" type="radio" value="1" checked>';} else {echo '<input name="conf_set73" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[73]=="0"){
echo '<input name="conf_set73" type="radio" value="0" checked>';} else {echo '<input name="conf_set73" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Разрешить добавлять статьи: <br>Да';
if($con_data[101]=="1"){
echo '<input name="conf_set101" type="radio" value="1" checked>';} else {echo '<input name="conf_set101" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[101]=="0"){
echo '<input name="conf_set101" type="radio" value="0" checked>';} else {echo '<input name="conf_set101" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Макс. символов в новой статье:<br><input name="conf_set102" maxlength="6" value="'.$con_data[102].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}



//---------------------- Изменение библиотеки ------------------------------//
if($action=="editsix"){
if($conf_set67!="" && $conf_set68!="" && $conf_set72!="" && $conf_set73!=""  && $conf_set101!=""  && $conf_set102!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[67]=(int)$conf_set67;
$udata[68]=(int)$conf_set68;
$udata[72]=(int)$conf_set72;
$udata[73]=(int)$conf_set73;
$udata[101]=(int)$conf_set101;
$udata[102]=(int)$conf_set102;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext);  
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setsix&isset=mp_nosset&".SID);}
}








//---------------------- Форма изменения постраничной навигация ------------------------------//
//31,44,45,49,51,53,54,55,59,60,70,92,93,94,96,99,100,105,106
if($action=="setseven"){	
echo '<b>Настройки постраничной навигация</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editseven&amp;'.SID.'">';	

echo 'Пользователей в юзерлисте:<br><input name="conf_set31" maxlength="2" value="'.$con_data[31].'" /><br>';	
echo 'Пользователей в кто-где:<br><input name="conf_set44" maxlength="2" value="'.$con_data[44].'" /><br>';
echo 'Сохраняется истории в кто-где:<br><input name="conf_set45" maxlength="3" value="'.$con_data[45].'" /><br>';
echo 'Пользователей в статистике вкладов:<br><input name="conf_set49" maxlength="2" value="'.$con_data[49].'" /><br>';
echo 'Сайтов в кто-откуда<br><input name="conf_set60" maxlength="3" value="'.$con_data[60].'" /><br>';
echo 'Сохраняется истории в кто-откуда:<br><input name="conf_set51" maxlength="3" value="'.$con_data[51].'" /><br>';
echo 'Ссылок пирамиды на главной:<br><input name="conf_set53" maxlength="2" value="'.$con_data[53].'" /><br>';
echo 'Сохраняется ссылок в пирамиде:<br><input name="conf_set59" maxlength="2" value="'.$con_data[59].'" /><br>';
echo 'Пользователей в онлайне:<br><input name="conf_set54" maxlength="2" value="'.$con_data[54].'" /><br>';
echo 'Смайлов на стр.:<br><input name="conf_set55" maxlength="2" value="'.$con_data[55].'" /><br>';
echo 'Юзеров в рейтинге авторитетов на стр.:<br><input name="conf_set70" maxlength="2" value="'.$con_data[70].'" /><br>';
echo 'Юзеров в контакт-листе:<br><input name="conf_set92" maxlength="2" value="'.$con_data[92].'" /><br>';
echo 'Юзеров в игнор-листе:<br><input name="conf_set93" maxlength="2" value="'.$con_data[93].'" /><br>';
echo 'Юзеров в рейтинге долгожителей:<br><input name="conf_set94" maxlength="2" value="'.$con_data[94].'" /><br>';
echo 'Юзеров в списке забаненных:<br><input name="conf_set96" maxlength="2" value="'.$con_data[96].'" /><br>';
echo 'Подписчиков на страницу:<br><input name="conf_set99" maxlength="2" value="'.$con_data[99].'" /><br>';
echo 'Заголовков на страницу:<br><input name="conf_set100" maxlength="2" value="'.$con_data[100].'" /><br>';
echo 'Новостей движка в обновлениях:<br><input name="conf_set105" maxlength="2" value="'.$con_data[105].'" /><br>';
echo 'Кол-во юзеров в топе форума:<br><input name="conf_set106" maxlength="2" value="'.$con_data[106].'" /><br>';


echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в постраничной навигации ------------------------------//
if($action=="editseven"){
if($conf_set31!="" && $conf_set44!="" && $conf_set45!="" && $conf_set49!="" && $conf_set51!="" && $conf_set53!="" && $conf_set54!="" && $conf_set55!="" && $conf_set59!="" && $conf_set60!="" && $conf_set70!="" && $conf_set92!="" && $conf_set93!="" && $conf_set94!="" && $conf_set96!="" && $conf_set99!="" && $conf_set100!="" && $conf_set105!="" && $conf_set106!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[31]=(int)$conf_set31;
$udata[44]=(int)$conf_set44;
$udata[45]=(int)$conf_set45;
$udata[49]=(int)$conf_set49;
$udata[51]=(int)$conf_set51;
$udata[53]=(int)$conf_set53;
$udata[54]=(int)$conf_set54;
$udata[55]=(int)$conf_set55;
$udata[59]=(int)$conf_set59;
$udata[60]=(int)$conf_set60;
$udata[70]=(int)$conf_set70;
$udata[92]=(int)$conf_set92;
$udata[93]=(int)$conf_set93;
$udata[94]=(int)$conf_set94;
$udata[96]=(int)$conf_set96;
$udata[99]=(int)$conf_set99;
$udata[100]=(int)$conf_set100;
$udata[105]=(int)$conf_set105;
$udata[106]=(int)$conf_set106;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setseven&isset=mp_nosset&".SID);}
}



//---------------------- Форма изменения постраничной навигация 2 ------------------------------//
//116,117,127,129
if($action=="setseven2"){	
echo '<b>Настройки постраничной навигация 2</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editseven2&amp;'.SID.'">';	

echo 'Аватаров на страницу:<br><input name="conf_set116" maxlength="2" value="'.$con_data[116].'" /><br>';	
echo 'Файлов в редакторе админки:<br><input name="conf_set117" maxlength="2" value="'.$con_data[117].'" /><br>';	
echo 'Просмотр логов на страницу:<br><input name="conf_set127" maxlength="2" value="'.$con_data[127].'" /><br>';
echo 'Данных на страницу в черном списке:<br><input name="conf_set129" maxlength="2" value="'.$con_data[129].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}

//---------------------- Изменение в постраничной навигации 2 ------------------------------//
if($action=="editseven2"){
if($conf_set116!="" && $conf_set117!="" && $conf_set127!="" && $conf_set129!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[116]=(int)$conf_set116;
$udata[117]=(int)$conf_set117;
$udata[127]=(int)$conf_set127;
$udata[129]=(int)$conf_set129;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setseven2&isset=mp_nosset&".SID);}
}


//---------------------- Форма изменения прочее ------------------------------//
//58,82,83,89,90,97
if($action=="seteight"){	
echo '<b>Прочее/Другое</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editeight&amp;'.SID.'">';	

echo 'Сохраняется информации в лог-файле:<br><input name="conf_set58" maxlength="3" value="'.$con_data[58].'" /><br>';	
echo 'Ключевые слова (keywords):<br><input name="conf_set82" maxlength="250" value="'.$con_data[82].'" /><br>';	
echo 'Краткое описание (description):<br><input name="conf_set83" maxlength="250" value="'.$con_data[83].'" /><br>';
echo 'Не сканируемые расширения (через запятую):<br><input name="conf_set88" maxlength="250" value="'.$con_data[88].'" /><br>';

echo 'Разрешить русские ники: <br>Да';
if($con_data[89]=="1"){
echo '<input name="conf_set89" type="radio" value="1" checked>';} else {echo '<input name="conf_set89" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[89]=="0"){
echo '<input name="conf_set89" type="radio" value="0" checked>';} else {echo '<input name="conf_set89" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Разрешить объяснительные из бана: <br>Да';
if($con_data[90]=="1"){
echo '<input name="conf_set90" type="radio" value="1" checked>';} else {echo '<input name="conf_set90" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[90]=="0"){
echo '<input name="conf_set90" type="radio" value="0" checked>';} else {echo '<input name="conf_set90" type="radio" value="0" />';}
echo 'Нет<br>';
echo 'Максимальное время бана (суток):<br><input name="conf_set97" maxlength="3" value="'.round($con_data[97]/1440).'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}



//---------------------- Изменение в прочее ------------------------------//
if($action=="editeight"){
if($conf_set58!="" && $conf_set82!="" && $conf_set83!="" && $conf_set88!="" && $conf_set89!="" && $conf_set90!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[58]=(int)$conf_set58;
$udata[82]=check($conf_set82);
$udata[83]=check($conf_set83);
$udata[88]=check($conf_set88);
$udata[89]=(int)$conf_set89;
$udata[90]=(int)$conf_set90;
$udata[97]=round($conf_set97*1440);

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=seteight&isset=mp_nosset&".SID);}
}



//---------------------- Форма изменения кеширование ------------------------------//
//76,77,78,79,80,84,91,95,107,108,112,126,128
if($action=="setnine"){	
echo '<b>Настройки кеширования</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editnine&amp;'.SID.'">';	

echo 'Кеш в юзерлисте: <br><input name="conf_set76" maxlength="2" value="'.$con_data[76].'" /><br>';	
echo 'Рейтинг авторитетов: <br><input name="conf_set77" maxlength="2" value="'.$con_data[77].'" /><br>';
echo 'Рейтинг толстосумов: <br><input name="conf_set78" maxlength="2" value="'.$con_data[78].'" /><br>';
echo 'Загруз-центр: <br><input name="conf_set79" maxlength="2" value="'.$con_data[79].'" /><br>';
echo 'Библиотека: <br><input name="conf_set80" maxlength="2" value="'.$con_data[80].'" /><br>';
echo 'Поиск пользователей: <br><input name="conf_set84" maxlength="2" value="'.$con_data[84].'" /><br>';
echo 'Обзор новичков: <br><input name="conf_set91" maxlength="2" value="'.$con_data[91].'" /><br>';
echo 'Рейтинг долгожителей: <br><input name="conf_set95" maxlength="2" value="'.$con_data[95].'" /><br>';
echo 'Топ юзеров в форуме: <br><input name="conf_set107" maxlength="2" value="'.$con_data[107].'" /><br>';
echo 'Топ тем в форуме: <br><input name="conf_set108" maxlength="2" value="'.$con_data[108].'" /><br>';
echo 'Листинг администрации: <br><input name="conf_set112" maxlength="2" value="'.$con_data[112].'" /><br>';
echo 'Кеширование при регистрации: <br><input name="conf_set126" maxlength="2" value="'.$con_data[126].'" /><br>';
echo 'Кеширование популярных скинов: <br><input name="conf_set128" maxlength="2" value="'.$con_data[128].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';

echo '* Все настройки измеряются в часах<br>';
echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в кешировании ------------------------------//
if($action=="editnine"){
if($conf_set76!="" && $conf_set77!="" && $conf_set78!="" && $conf_set79!="" && $conf_set80!="" && $conf_set84!="" && $conf_set91!="" && $conf_set95!="" && $conf_set107!="" && $conf_set108!="" && $conf_set112!="" && $conf_set126!="" && $conf_set128!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[76]=(int)$conf_set76;
$udata[77]=(int)$conf_set77;
$udata[78]=(int)$conf_set78;
$udata[79]=(int)$conf_set79;
$udata[80]=(int)$conf_set80;
$udata[84]=(int)$conf_set84;
$udata[91]=(int)$conf_set91;
$udata[95]=(int)$conf_set95;
$udata[107]=(int)$conf_set107;
$udata[108]=(int)$conf_set108;
$udata[112]=(int)$conf_set112;
$udata[126]=(int)$conf_set126;
$udata[128]=(int)$conf_set128;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setnine&isset=mp_nosset&".SID);}
}


//---------------------- Форма изменения безопасности ------------------------------//
//103,104
if($action=="setten"){	
echo '<b>Настройки безопасности</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editten&amp;'.SID.'">';	

echo 'Включить защитную картинку: <br>Да';
if($con_data[103]=="1"){
echo '<input name="conf_set103" type="radio" value="1" checked>';} else {echo '<input name="conf_set103" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[103]=="0"){
echo '<input name="conf_set103" type="radio" value="0" checked>';} else {echo '<input name="conf_set103" type="radio" value="0" />';}
echo 'Нет<br>';

echo 'Деформация защитной картинки: <br>Да';
if($con_data[104]=="1"){
echo '<input name="conf_set104" type="radio" value="1" checked>';} else {echo '<input name="conf_set104" type="radio" value="1" />';} 	
echo ' &nbsp; &nbsp; ';
if($con_data[104]=="0"){
echo '<input name="conf_set104" type="radio" value="0" checked>';} else {echo '<input name="conf_set104" type="radio" value="0" />';}
echo 'Нет<br>';


echo '<br><input value="Изменить" type="submit" /></form><hr>';

echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}

//---------------------- Изменение в безопасности ------------------------------//
if($action=="editten"){
if($conf_set103!="" && $conf_set104!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[103]=(int)$conf_set103;
$udata[104]=(int)$conf_set104;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=setten&isset=mp_nosset&".SID);}
}


//---------------------- Форма изменения стоимости и цен ------------------------------//
//114,115,119,120,121,122,123,124,125
if($action=="seteleven"){	
echo '<b>Стоимость и цены</b><br><hr>';	
	
echo '<form method="post" action="setting.php?action=editeleven&amp;'.SID.'">';	

echo 'Цена на покупку аватара: <br><input name="conf_set114" maxlength="9" value="'.$con_data[114].'" /><br>';
echo 'Цена на загрузку аватара: <br><input name="conf_set115" maxlength="9" value="'.$con_data[115].'" /><br>';
echo 'Джек-пот в лотерее: <br><input name="conf_set119" maxlength="9" value="'.$con_data[119].'" /><br>';
echo 'Макс. ставка в игре 21-очко: <br><input name="conf_set120" maxlength="9" value="'.$con_data[120].'" /><br>';
echo 'Мин. сумма кредита: <br><input name="conf_set121" maxlength="9" value="'.$con_data[121].'" /><br>';
echo 'Макс. сумма кредита: <br><input name="conf_set122" maxlength="9" value="'.$con_data[122].'" /><br>';
echo 'Проценты банка за кредит: <br><input name="conf_set123" maxlength="9" value="'.$con_data[123].'" /><br>';
echo 'Выигрыш в игре Угадай число: <br><input name="conf_set124" maxlength="9" value="'.$con_data[124].'" /><br>';
echo 'Попыток в игре Угадай число: <br><input name="conf_set125" maxlength="9" value="'.$con_data[125].'" /><br>';

echo '<br><input value="Изменить" type="submit" /></form><hr>';

echo '<br><img src="../images/img/back.gif" alt=""> <a href="setting.php?'.SID.'">Вернуться</a>';
}


//---------------------- Изменение в стоимости и ценах ------------------------------//
if($action=="editeleven"){
if($conf_set114!="" && $conf_set115!="" && $conf_set119!="" && $conf_set120!="" && $conf_set121!="" && $conf_set122!="" && $conf_set123!="" && $conf_set124!="" && $conf_set125!=""){

$ufile = file_get_contents(BASEDIR."local/config.dat"); 
$udata = explode("|",$ufile);

$udata[114]=(int)$conf_set114;
$udata[115]=(int)$conf_set115;
$udata[119]=(int)$conf_set119;
$udata[120]=(int)$conf_set120;
$udata[121]=(int)$conf_set121;
$udata[122]=(int)$conf_set122;
$udata[123]=(int)$conf_set123;
$udata[124]=(int)$conf_set124;
$udata[125]=(int)$conf_set125;

for ($u=0; $u<$config_configkeys; $u++){
$utext.=$udata[$u].'|';}

if(!empty($udata[8]) && !empty($udata[9])){
$fp=fopen(BASEDIR."local/config.dat","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext); 
}
header ("Location: setting.php?isset=mp_yesset&".SID);
}else{header ("Location: setting.php?action=seteleven&isset=mp_nosset&".SID);}
}


echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
